Chuyển đến nội dung
Diễn đàn CADViet

thanhduan2407

Nhà quảng cáo
  • Số lượng nội dung

    1.141
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    24

Mọi thứ được đăng bởi thanhduan2407

  1. thanhduan2407

    Xin viết lsp cad vẽ bo từ các đường thẳng

    Làm theo file mẫu, giờ lại yêu cầu khác đi. Tôi nghĩ bạn bỏ phí ra thì sẽ có người viết cho.
  2. thanhduan2407

    Xin viết lsp cad vẽ bo từ các đường thẳng

    Bạn thử xem được không nhé! Yêu cầu cài Cad full (có tool express) (defun C:00 (/ LTSG LTSLINE PNTMAX PNTMIN SSLINE) (defun *error* (msg) (if Olmode (setvar 'osmode Olmode) ) (if (not (member msg '("*BREAK,*CANCEL*,*EXIT*"))) (princ (strcat "\nError: " msg)) ) (princ) ) (setq Olmode (getvar "OSMODE")) (setvar "OSMODE" 0) (setvar "CMDECHO" 0) (setq ssLine (ssget (list (cons 0 "LINE,LWPOLYLINE,POLYLINE")))) (if ssLine (progn (setq LtsLine (acet-ss-to-list ssLine)) (setq LtsG (LM:IntersectionsinList LtsLine)) (if (= (length LtsG) 4) (progn (setq PntMin (list (apply 'min (mapcar 'car LtsG)) (apply 'min (mapcar 'cadr LtsG)))) (setq PntMax (list (apply 'max (mapcar 'car LtsG)) (apply 'max (mapcar 'cadr LtsG)))) (command "rectang" PntMin PntMax) (vla-put-color (vlax-ename->vla-object (entlast)) 1) ) ) ) ) (setvar "OSMODE" Olmode) (princ) ) (defun LM:Intersections (obj1 obj2 mode / l r) (setq l (vlax-invoke obj1 'intersectwith obj2 mode)) (repeat (/ (length l) 3) (setq r (cons (list (car l) (cadr l) (caddr l)) r) l (cdddr l) ) ) (reverse r) ) (defun LM:IntersectionsinList (lst / a l) (while (setq a (car lst)) (foreach b (setq lst (cdr lst)) (setq l (cons (LM:Intersections (vlax-ename->vla-object a) (vlax-ename->vla-object b) acextendnone ) l ) ) ) ) (apply 'append (reverse l)) )
  3. thanhduan2407

    Xin viết lsp cad vẽ bo từ các đường thẳng

    Dùng lisp làm gì? Vẽ lệnh Rectang nhanh hơn nhiều so với 4 phát chọn
  4. thanhduan2407

    Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

    Anh nghiên cứu cái này. (vla-put-contenttype mlo 2) => số 2 là Mtext, 1 là Block (cons 170 1) => (cons 170 2) (defun _makemleaderstyle (name txtstyle / d mld mlo) ;; RJP - 09.16.2017 (if (and (setq d (vla-get-dictionaries (vla-get-activedocument (vlax-get-acad-object)))) (= 'vla-object (type (setq mld (vl-catch-all-apply 'vla-item (list d "ACAD_MLEADERSTYLE")))) ) (= 'vla-object (type (setq mlo (vl-catch-all-apply 'vlax-invoke (list mld 'addobject name "AcDbMLeaderStyle"))) ) ) ) (progn (vla-put-contenttype mlo 2) (vla-put-alignspace mlo 0.1) (vla-put-annotative mlo :vlax-true) (vla-put-arrowsize mlo 0.18) (vla-put-blockconnectiontype mlo 0) (vla-put-breaksize mlo 0.1) (vla-put-description mlo "") (vla-put-dogleglength mlo 0.125) (vla-put-enablelanding mlo :vlax-true) (vla-put-firstsegmentangleconstraint mlo 0) (vla-put-landinggap mlo 0.05) (vla-put-maxleadersegmentspoints mlo 2) (vla-put-scalefactor mlo 1) (vla-put-secondsegmentangleconstraint mlo 0) (vlax-put mlo 'textalignmenttype 0) (vlax-put mlo 'textleftattachmenttype 1) (vlax-put mlo 'textrightattachmenttype 1) (vla-put-textheight mlo 0.1) ;; Make sure you load your texstyle first or it will default to standard (vla-put-textstyle mlo (if (tblobjname "style" txtstyle) txtstyle "standard" ) ) mlo ) ) )
  5. thanhduan2407

    Hỏi về hàm lisp

    Bạn thử cái này! (command "Text" "J" "MC" (getpoint) (getdist) 0 "Chu gi do" "")
  6. thanhduan2407

    Tặng anh em 1 tool để chụp nhanh màn hình

    Cảm ơn bác
  7. thanhduan2407

    Tặng anh em 1 tool để chụp nhanh màn hình

    Nó có rất nhiều tuỳ chọn. Kể cả theo Pixcell nhập vào. P/s: Bác đăng hình lên đây kiểu gì cho dễ vậy? Em phải Up lên trang khác rồi copy link mới cho được hình lên. Bất tiện lắm
  8. thanhduan2407

    Tặng anh em 1 tool để chụp nhanh màn hình

    Vậy các bác dùng phần mềm này còn ngon hơn nhiều! FastStone Capture! https://bit.ly/3qH9i5R
  9. thanhduan2407

    Tặng anh em 1 tool để chụp nhanh màn hình

    Bạn có thể chia sẻ các icon đó được ko? Chân thành cảm ơn
×